# Renovate Bot

The baseline only applies the basic settings for renovate, but does not include any credentials or platform configuration.

Create a new secret to provide the necessary settings:

```
---
apiVersion: v1
kind: Secret
metadata:
  name: renovate-env
  namespace: renovate
type: Opaque
stringData:
  GITHUB_COM_TOKEN: 'your-github-token-here'
  RENOVATE_PLATFORM: 'gitea'
  RENOVATE_ENDPOINT: 'https://git.smsvc.net/'
  RENOVATE_TOKEN: 'your-api-token-here'
  LOG_LEVEL: info
```

You must set at least `RENOVATE_PLATFORM`, `RENOVATE_ENDPOINT` and `RENOVATE_TOKEN`.  
You can set any configuration that can be set by environment variable (see References).

---

References:

- [Supported Platforms](https://docs.renovatebot.com/modules/platform/)
- [Self-Hosted configuration](https://docs.renovatebot.com/self-hosted-configuration/)
- [GitHub.com token for release notes](https://docs.renovatebot.com/getting-started/running/#githubcom-token-for-release-notes)
- [Log debug levels](https://docs.renovatebot.com/troubleshooting/#log-debug-levels)
